Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields

# select_args Struct Reference

## Data Fields
VALUE | read
VALUE | write
VALUE | except
struct timeval * | timeout
rb_fdset_t | fdsets [4]

## Detailed Description

Definition at line 7288 of file io.c.

## Field Documentation

VALUE select_args::except

Definition at line 7289 of file io.c.

Referenced by rb_f_select().

rb_fdset_t select_args::fdsets[4]

Definition at line 7291 of file io.c.

Referenced by rb_f_select().

VALUE select_args::read

Definition at line 7289 of file io.c.

Referenced by rb_f_select().

struct timeval* select_args::timeout

Definition at line 7290 of file io.c.

Referenced by rb_f_select().

VALUE select_args::write

Definition at line 7289 of file io.c.

Referenced by rb_f_select().

The documentation for this struct was generated from the following file:

- io.c